package github

import (
	"context"

	"git.unistack.org/unistack-org/pkgdash/internal/configcli"
	"git.unistack.org/unistack-org/pkgdash/internal/modules"
)

type Github struct {
	Token string
}

func NewGithub(cfg configcli.Config) *Github {
	return &Github{
		Token: cfg.Source.Token,
	}
}

func (g *Github) RequestOpen(ctx context.Context, branch string, path string, mod modules.Update) error {
	return nil
}
func (g *Github) RequestClose(ctx context.Context, cfg *configcli.Config, branch string, path string) error {
	return nil
}
func (g *Github) RequestUpdate(ctx context.Context, cfg *configcli.Config, branch string, path string, mod modules.Update) error {
	return nil
}
